std::pmr::memory_resource::do_deallocate(3)

NAME
std::pmr::memory_resource::do_deallocate - std::pmr::memory_resource::do_deallocate

Synopsis
   virtual void do_deallocate( void* p, std::size_t bytes, std::size_t (since C++17)
   alignment ) = 0;
   Deallocates the storage pointed to by p.
   p must have been returned by a prior call to allocate(bytes, alignment) on a
   memory_resource that compares equal to *this, and the storage it points to must not
   yet have been deallocated, otherwise the behavior is undefined.

Exceptions
   Throws nothing.

See also
   deallocate deallocates memory
              (public member function)